/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"Debug_8h.html#afc3d101f633a076cc1ca84b85b6224b2",
"IdStringType_8h.html#a0d4d774bf0afbfc38825ffa4f6b33352",
"Measure_8cc.html#aeffda07ca664a319dcb26ff7c9ece181",
"PackageProvider_8cc.html#a984646c7cbd49715e884c113a30695ed",
"PoolMember_8h.html#ac6f62b370bd7dca5f8a985def167694e",
"RepoInfo_8h_source.html",
"RpmHeader_8cc.html",
"String_8cc.html#a094815f9db94b2b06d181a2460710cba",
"TmpPath_8cc.html",
"classfunction__output__iterator.html",
"classzypp_1_1Capabilities.html#a92a0de71c7240427c2e9510856d168db",
"classzypp_1_1CpeId_1_1Impl.html#a294318633f223558f82bee20143129b2",
"classzypp_1_1Exception.html#a2fda838fae947f04f3ed5e7cff562769",
"classzypp_1_1HistoryLogDataRepoRemove.html#a1c4a3bd1259fc5de6e77ae3ee0ed89c2",
"classzypp_1_1KeyRing.html#ae9efa8fe9fd9e5903562d08467a6ad3f",
"classzypp_1_1Package.html#a15a757b822b82bfbe77ece501dd76616",
"classzypp_1_1PoolItem.html#a045148d5149471f0b8f5848eb1406fd1",
"classzypp_1_1Product.html#aeb7e5e3a2afba9703369ccd10857c970",
"classzypp_1_1RepoInfo.html#ac089e7a903dc1f05255e152c2c4f4b49",
"classzypp_1_1ResPool.html#a56a37946d60be61c10f25eb2679e51a3",
"classzypp_1_1ResStatus.html#aee2450b9eeb3dc8471bd5ef81600cf05",
"classzypp_1_1SrcPackage.html#aab481e5e070b41c4767b4be394dc3953",
"classzypp_1_1ZConfig.html#a76141932578d81e66d394658a655e391",
"classzypp_1_1__logtoolsdetail_1_1DumpMap.html#a6d51628f18f004941962c2697e26928d",
"classzypp_1_1callback_1_1UserData.html#ab68c6bb77d000c6b12567992dfdd67ed",
"classzypp_1_1filesystem_1_1Pathname.html#a8526d2d0d6d86a63a1e61a4925e5a855",
"classzypp_1_1media_1_1MediaAccess.html",
"classzypp_1_1media_1_1MediaException.html#a46447dabe726117bfa487c6e1d702a81",
"classzypp_1_1media_1_1MediaNotSupportedException.html#a69158477e314f0514584eb8b2e4bc37a",
"classzypp_1_1media_1_1ZsyncParser.html#ae43358dfbe86a9005345fc27e4b1e8e8",
"classzypp_1_1parser_1_1susetags_1_1RepoIndex.html#af1a9d7e6f2ff6a469ed49469c96b451f",
"classzypp_1_1repo_1_1RepoNotCachedException.html#a6cc38f03506bfaafa996dae840477302",
"classzypp_1_1sat_1_1LookupAttr_1_1iterator.html#a52e354dbb6ab89b945c859ea22ed65e5",
"classzypp_1_1sat_1_1SolvAttr.html#ac4673b7913a69778af6225ab3223e9e7",
"classzypp_1_1sat_1_1Transaction.html#af8597d5471ec4b6f36571fa6a07cb806a2821c39b9d32ee56cf8cc063ea84f816",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemInstallOneOf.html#aa9b9654610a84491957d480229538c17",
"classzypp_1_1target_1_1RpmPostTransCollector_1_1Impl.html#ae437825fa6f4139ec1191b24c58e3b9b",
"classzypp_1_1target_1_1rpm_1_1RpmException.html",
"classzypp_1_1ui_1_1Selectable.html#a8fde60312bc5f9640a7c78c158c7ddca",
"classzypp_1_1xml_1_1ParseDefConsumeCallback.html#af5055f0075357e8773c1482f586ee4c4",
"functions_vars_d.html",
"group__ZYPP__THROW.html#ga08d9b1a11fa29455c0419afa1d186887",
"pages.html",
"structzypp_1_1Dep.html#a3f05026c78b91b65eb83d1e800c29dfbac3cd3eb56fbec1257009592197bf8985",
"structzypp_1_1KeyRing_1_1Impl.html#adeee481cfd1a5484a1938059bf4c60ca",
"structzypp_1_1RWCOW__pointer.html#a661221fd7c0bec0f65040da7ab9e44f2",
"structzypp_1_1ResPoolProxy_1_1Impl.html#a91037ed3988dd7d07c21c36518e22c7f",
"structzypp_1_1base_1_1logger_1_1LogControlImpl.html#a762cef18d3f937d0f27be53ec54a6102",
"structzypp_1_1json_1_1Array.html#ad62ce89c3b4ee36c7085cb6dae5e677f",
"structzypp_1_1parser_1_1susetags_1_1ContentFileReader_1_1Impl.html#a5c4d540b413cb40f8cc61bf1acd159f4",
"structzypp_1_1rw__pointer_1_1Intrusive.html#a746e9741c883fd18da0a5eda06786d31",
"structzypp_1_1target_1_1PatchMessageReport.html#a3664637888ff0e30d0a63892b2c26d37",
"structzypp_1_1url_1_1ViewOption.html#a0c81ef2dbd0fd9ce4f2353083e65a8ea"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';